Bug 45211 - postgresql-9.4: Multiple issues (4.2)
postgresql-9.4: Multiple issues (4.2)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Security updates
UCS 4.2
Other Linux
: P3 normal (vote)
: UCS 4.2-1-errata
Assigned To: Arvid Requate
Philipp Hahn
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-16 12:16 CEST by Arvid Requate
Modified: 2017-08-30 16:29 CEST (History)
1 user (show)

See Also:
What kind of report is it?: Security Issue
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional): Security
Max CVSS v3 score: 7.4 (CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:N)
requate: Patch_Available+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arvid Requate univentionstaff 2017-08-16 12:16:16 CEST
Upstream Debian package version 9.4.13-0+deb8u1 fixes these issues:

* In some authentication methods empty passwords were accepted (CVE-2017-7546)
* User mappings could leak data to unprivileged users (CVE-2017-7547)
* The lo_put() function ignored ACLs (CVE-2017-7548)
Comment 1 Philipp Hahn univentionstaff 2017-08-17 12:35:45 CEST
OK: Imported from Debian
OK: univention-install univention-postgresql
FIXED: postgresql-9.4.yaml → r82354
OK: /usr/share/doc/postgresql-9.4/changelog.Debian.gz
Comment 2 Philipp Hahn univentionstaff 2017-08-28 14:21:05 CEST
OK: apt-get install univention-postgresql
OK: apt-get upgrade
OK: Upgrade 9.1 -> 9.4, reboot

OK: errata-announce -V --only postgresql-9.?.yaml
OK: postgresql-9.?.yaml
Comment 3 Arvid Requate univentionstaff 2017-08-30 16:29:44 CEST
<http://errata.software-univention.de/ucs/4.2/146.html>